#include "ServoMotorComponent.h"

ServoMotorComponent::ServoMotorComponent(int PIN) {
    this->PIN = PIN;
    this->position = 30;
    this->speed = 100;
    this->easing = 0.5;
    this->myservo.attach(PIN);
}

void ServoMotorComponent::goLeft() {
    this->myservo.write(this->PIN, 52, this->speed, this->easing);
    this->position = 0;
}

void ServoMotorComponent::goRight() {
        this->myservo.write(this->PIN, 18, this->speed, this->easing);

    this->position = 180;
}

void ServoMotorComponent::goMiddle() {
    this->myservo.write(this->PIN, 32, this->speed, this->easing);
    this->position = 90;
}

int ServoMotorComponent::getPosition() {
    return this->position;
}

void ServoMotorComponent::setPin(int PIN) {
    this->PIN = PIN;
    this->myservo.attach(PIN);
    return;
}

void ServoMotorComponent::setSpeed(int speed) {
    this->speed = speed;
    return;
}

void ServoMotorComponent::pause() {
    this->myservo.pause();
    return;
}

void ServoMotorComponent::setEasing(float easing) {
    this->easing = easing;
    return;
}
